Debian Bug report logs - #549524
libnet-smtp-ssl-perl should depend on libauthen-sasl-perl

version graph

Package: libnet-smtp-ssl-perl; Maintainer for libnet-smtp-ssl-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnet-smtp-ssl-perl is src:libnet-smtp-ssl-perl.

Reported by: Alex Schröder <kensanata@gmail.com>

Date: Sat, 3 Oct 2009 22:39:01 UTC

Severity: normal

Found in version libnet-smtp-ssl-perl/1.01-2

Fixed in version libnet-smtp-ssl-perl/1.01-3

Done: Maximilian Gass <mxey@cloudconnected.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#549524; Package libnet-smtp-ssl-perl. (Sat, 03 Oct 2009 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Schröder <kensanata@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 03 Oct 2009 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alex Schröder <kensanata@gmail.com>
To: submit@bugs.debian.org
Subject: libnet-smtp-ssl-perl should depend on libauthen-sasl-perl
Date: Sun, 4 Oct 2009 00:26:42 +0200
Package: libnet-smtp-ssl-perl
Version: 1.01-2

libnet-smtp-ssl-perl should depend on libauthen-sasl-perl. I wanted to
use Net::SMTP::SSL to send mail; I think the most common reason is
that the mail server requires authentication. Thus you will be using
the auth method. If you check it out, you'll find the following:

sub auth {
  my ($self, $username, $password) = @_;

  eval {
    require MIME::Base64;
    require Authen::SASL;
  } or $self->set_status(500, ["Need MIME::Base64 and Authen::SASL
todo auth"]), return 0;

There is therefore a dependency on Authen::SASL. If you don't have
that module, sending your email will fail in a non-obvious way:

Net::SMTP::SSL=GLOB(0xa025520)>>> EHLO localhost.localdomain
Net::SMTP::SSL=GLOB(0xa025520)<<< 250-mx.google.com at your service,
[83.137.100.36]
Net::SMTP::SSL=GLOB(0xa025520)<<< 250-SIZE 35651584
Net::SMTP::SSL=GLOB(0xa025520)<<< 250-8BITMIME
Net::SMTP::SSL=GLOB(0xa025520)<<< 250-AUTH LOGIN PLAIN
Net::SMTP::SSL=GLOB(0xa025520)<<< 250-ENHANCEDSTATUSCODES
Net::SMTP::SSL=GLOB(0xa025520)<<< 250 PIPELINING
Net::SMTP::SSL=GLOB(0xa025520)>>> MAIL FROM:<kensanata@gmail.com>
Net::SMTP::SSL=GLOB(0xa025520)<<< 530-5.5.1 Authentication Required.
Learn more at

As you can see, the module will not send the required AUTH LOGIN
command, and there's no error message telling you why this is
happening.

Installing libauthen-sasl-perl fixes the problem.

Regards
Alex




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#549524; Package libnet-smtp-ssl-perl. (Sun, 04 Oct 2009 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 04 Oct 2009 15:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 549524@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Alex Schröder <kensanata@gmail.com>, 549524@bugs.debian.org
Subject: Re: Bug#549524: libnet-smtp-ssl-perl should depend on libauthen-sasl-perl
Date: Sun, 4 Oct 2009 17:10:30 +0200
[Message part 1 (text/plain, inline)]
On Sun, 04 Oct 2009 00:26:42 +0200, Alex Schröder wrote:

> libnet-smtp-ssl-perl should depend on libauthen-sasl-perl. I wanted to
> use Net::SMTP::SSL to send mail; I think the most common reason is
> that the mail server requires authentication. Thus you will be using
> the auth method. If you check it out, you'll find the following:
> 
> sub auth {
>   my ($self, $username, $password) = @_;
> 
>   eval {
>     require MIME::Base64;
>     require Authen::SASL;
>   } or $self->set_status(500, ["Need MIME::Base64 and Authen::SASL
> todo auth"]), return 0;
> 
> There is therefore a dependency on Authen::SASL. If you don't have
> that module, sending your email will fail in a non-obvious way:

Ehrm, no, this code is from Net::SMTP, Net::SMTP::SSL just uses
Net::SMTP and IO::Socket::SSL and doesn't mention/require/use
Authen::SASL anywhere.

But I can imagine that a Recommends or Suggests on
libauthen-sasl-perl might be helpful.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Eric Clapton: Layla
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#549524; Package libnet-smtp-ssl-perl. (Sun, 04 Oct 2009 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Schröder <kensanata@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 04 Oct 2009 16:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 549524@bugs.debian.org (full text, mbox):

From: Alex Schröder <kensanata@gmail.com>
To: gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#549524: libnet-smtp-ssl-perl should depend on libauthen-sasl-perl
Date: Sun, 4 Oct 2009 17:23:24 +0200
Well, I don't know enough about Debian to make the correct decision. I
know that the code in question belongs to Net::SMTP – and maybe
Net::SMTP could use a suggestion or whatever it is. But all I know is
that when I use Net::SMTP::SSL to send email via Gmail or some other
mail server that requires authentication, then I will trigger code in
Net::SMTP that will require Authen::SASL. I spent about three hours
wondering what the hell was wrong with my setup on the Debian host
while it was working happily on my Mac OSX system where I had
installed things with CPAN. I had to actually go and read code in
order to figure out what was missing. This can't be right.

So yes, the code in question is found in Net::SMTP, but I've yet to
find a mail server that uses authentication without SSL – therefore I
would not mind if Net::SMTP did not require the installation of
Authen::SASL. But if you install Net::SMTP::SSL, you will require both
Net::SMTP and Authen::SASL.

A Recommends or Suggests could be the right thing – in my case I sent
an email to the administrator, who just installs the package with the
least amount of dependencies. Would a Recommends or Suggests have done
the right thing? My gut feeling says that this situation warrants a
dependency. A requirement.

Regards
Alex


On Sun, Oct 4, 2009 at 17:10, gregor herrmann <gregoa@debian.org> wrote:
> On Sun, 04 Oct 2009 00:26:42 +0200, Alex Schröder wrote:
>
>> libnet-smtp-ssl-perl should depend on libauthen-sasl-perl. I wanted to
>> use Net::SMTP::SSL to send mail; I think the most common reason is
>> that the mail server requires authentication. Thus you will be using
>> the auth method. If you check it out, you'll find the following:
>>
>> sub auth {
>>   my ($self, $username, $password) = @_;
>>
>>   eval {
>>     require MIME::Base64;
>>     require Authen::SASL;
>>   } or $self->set_status(500, ["Need MIME::Base64 and Authen::SASL
>> todo auth"]), return 0;
>>
>> There is therefore a dependency on Authen::SASL. If you don't have
>> that module, sending your email will fail in a non-obvious way:
>
> Ehrm, no, this code is from Net::SMTP, Net::SMTP::SSL just uses
> Net::SMTP and IO::Socket::SSL and doesn't mention/require/use
> Authen::SASL anywhere.
>
> But I can imagine that a Recommends or Suggests on
> libauthen-sasl-perl might be helpful.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#549524; Package libnet-smtp-ssl-perl. (Sun, 04 Oct 2009 18:33:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 04 Oct 2009 18:33:19 GMT) Full text and rfc822 format available.

Message #20 received at 549524@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Alex Schröder <kensanata@gmail.com>, 549524@bugs.debian.org
Subject: Re: Bug#549524: libnet-smtp-ssl-perl should depend on libauthen-sasl-perl
Date: Sun, 4 Oct 2009 20:29:44 +0200
[Message part 1 (text/plain, inline)]
On Sun, 04 Oct 2009 17:23:24 +0200, Alex Schröder wrote:

[Please keep 549524@bugs.debian.org in the loop.]

> Well, I don't know enough about Debian to make the correct decision. I
> know that the code in question belongs to Net::SMTP – and maybe
> Net::SMTP could use a suggestion or whatever it is. 

Net::SMTP is in perl-modules, and I think installing Authen::SASL on
each and every machine running Debian is not the right way.

> A Recommends or Suggests could be the right thing – in my case I sent
> an email to the administrator, who just installs the package with the
> least amount of dependencies. Would a Recommends or Suggests have done
> the right thing? 

Packages in Recommends: are installed automatically, unless the local
admin has turned it off. Suggests: is only informational.


Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Nick Drake: Saturday Sun
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#549524; Package libnet-smtp-ssl-perl. (Wed, 23 Feb 2011 17:54:06 GMT) Full text and rfc822 format available.

Message #23 received at 549524@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 549524@bugs.debian.org, 549524-submitter@bugs.debian.org
Subject: Bug in libnet-smtp-ssl-perl fixed in revision 69410
Date: Wed, 23 Feb 2011 17:51:24 +0000
tag 549524 + pending
thanks

Some bugs are closed in revision 69410
by Maximilian Gass (mxey-guest)

Commit message:

Add libauthen-sasl-perl to Recommends (closes: #549524)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 23 Feb 2011 17:54:08 GMT) Full text and rfc822 format available.

Message sent on to Alex Schröder <kensanata@gmail.com>:
Bug#549524. (Wed, 23 Feb 2011 17:54:10 GMT) Full text and rfc822 format available.

Reply sent to Maximilian Gass <mxey@cloudconnected.org>:
You have taken responsibility. (Wed, 23 Feb 2011 21:36:06 GMT) Full text and rfc822 format available.

Notification sent to Alex Schröder <kensanata@gmail.com>:
Bug acknowledged by developer. (Wed, 23 Feb 2011 21:36:07 GMT) Full text and rfc822 format available.

Message #33 received at 549524-close@bugs.debian.org (full text, mbox):

From: Maximilian Gass <mxey@cloudconnected.org>
To: 549524-close@bugs.debian.org
Subject: Bug#549524: fixed in libnet-smtp-ssl-perl 1.01-3
Date: Wed, 23 Feb 2011 21:32:49 +0000
Source: libnet-smtp-ssl-perl
Source-Version: 1.01-3

We believe that the bug you reported is fixed in the latest version of
libnet-smtp-ssl-perl, which is due to be installed in the Debian FTP archive:

libnet-smtp-ssl-perl_1.01-3.debian.tar.gz
  to main/libn/libnet-smtp-ssl-perl/libnet-smtp-ssl-perl_1.01-3.debian.tar.gz
libnet-smtp-ssl-perl_1.01-3.dsc
  to main/libn/libnet-smtp-ssl-perl/libnet-smtp-ssl-perl_1.01-3.dsc
libnet-smtp-ssl-perl_1.01-3_all.deb
  to main/libn/libnet-smtp-ssl-perl/libnet-smtp-ssl-perl_1.01-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549524@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maximilian Gass <mxey@cloudconnected.org> (supplier of updated libnet-smtp-ssl-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 23 Feb 2011 19:15:54 +0100
Source: libnet-smtp-ssl-perl
Binary: libnet-smtp-ssl-perl
Architecture: source all
Version: 1.01-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Maximilian Gass <mxey@cloudconnected.org>
Description: 
 libnet-smtp-ssl-perl - Perl module providing SSL support to Net::SMTP
Closes: 549524
Changes: 
 libnet-smtp-ssl-perl (1.01-3) unstable; urgency=low
 .
   [ gregor herrmann ]
   * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
     (source stanza).
   * Remove version from dependency on libio-socket-ssl-perl, satisfied in
     lenny.
 .
   [ Nathan Handler ]
   * debian/watch: Update to ignore development releases.
 .
   [ Salvatore Bonaccorso ]
   * debian/control: Changed: Replace versioned (build-)dependency on
     perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
     permitted by Debian Policy 3.8.3).
 .
   [ Maximilian Gass ]
   * Switch to debhelper compat level 8, minimize rules
   * Update copyright file with new format
   * Add libauthen-sasl-perl to Recommends (closes: #549524)
   * Add myself to Uploaders
   * Bump Standards-Version to 3.9.1: no changes necessary
   * Switch to source format 3.0 (quilt)
   * Improve short and long description a little
Checksums-Sha1: 
 e3aa3e516d6fee8dcdac202d2ffeb448b09b9943 2100 libnet-smtp-ssl-perl_1.01-3.dsc
 de87bca1c9ee90767cb284d59b498c77fa300584 2301 libnet-smtp-ssl-perl_1.01-3.debian.tar.gz
 f224ca7c268cf698e3127c2143295e5fdf8221eb 5996 libnet-smtp-ssl-perl_1.01-3_all.deb
Checksums-Sha256: 
 dab05baf69d7b285300d1444f50c1ee12db01a81e2779614b72addebddea18d0 2100 libnet-smtp-ssl-perl_1.01-3.dsc
 f285c974638fce1247b2d513f6adb8d8655761f22dd0d5eda307b56964cdc566 2301 libnet-smtp-ssl-perl_1.01-3.debian.tar.gz
 191e31a63b094dd8bbed32ea84a647962533e1daee69c240abc2145d397f8138 5996 libnet-smtp-ssl-perl_1.01-3_all.deb
Files: 
 f437d3c35eed9d7d3a1417e0340b2435 2100 perl optional libnet-smtp-ssl-perl_1.01-3.dsc
 ff2516259642d167cb6c0e7fccc2a25f 2301 perl optional libnet-smtp-ssl-perl_1.01-3.debian.tar.gz
 e2856909f1ec380a289f28b5810fec19 5996 perl optional libnet-smtp-ssl-perl_1.01-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNZXpcAAoJELs6aAGGSaoGM9EP/2O5cbp+RqaguHPwdeH/NhW1
F7+FUEy90KbWWDMJF7JAYwXRCYg/5B7yJew2IXasDALn7CVIO2W7lFhwBOnQvFi+
vqCooguVEhI0zbcG8HrBeYb0M3K1ZJaI4R0Vtuo54qLFX2scUeg5muFdbktw46T9
ON/m2tgcTgRurH252t3MexDdnqghPiNjc4k4JhlkFyHVY/DXUr2TzB78MMsYA0hx
1OPv5wC2NKC+T1c6jvzqZ7MSQH5YYfQ51Gx+5bmsHTULUE0Z4fPr39XYpSZ3sV0K
Q+gpRGrXDLQqR83wZfI6xc8mt8wTrpKiJmkCfaMaIu39UoQi/AnoixKURlbkgTsK
wSj+R0RGOqzL0Ep8TgpTC+OSGCxyBUpVlyfvotZpx6fkueMq+uAWzvvjDJYxnkTR
k4V0IVLp2+PyUj72On6vXAaRDeAcGRSv+ipZFGyvDsZeYv4h041bHtOOdYMdD4Go
Sh/lm8x9JKprR4WL23akPoE9YRfFJRnJ2Dsg3XKi4g7vVolFdZ2Cmq1EUXTcBBZI
bJ4svMMBE+H0rctpOqOWLinxRm3KowFDIBwZVCsSLicJ36bhYpgOnqCXRfGUfP1P
OQMb9FLaMySbRXKlrqU8pX9tnJi9qh90ECCGX8Gdqy8dhPP/jGvgTRLF+K+doSvP
QBcvfCXmlJA838nzKpni
=Z0z6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:54:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:55:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.